Go to the latest version of this document.

# ``twisted`.`application`.`_client_service`.`_ReconnectingProtocolProxy``

class documentation

`class _ReconnectingProtocolProxy: (source)`

Constructor: `_ReconnectingProtocolProxy(protocol, lostNotification)`

Implements interfaces: `twisted.internet.interfaces.IProtocol`

View In Hierarchy

A proxy for a Protocol to provide connectionLost notification to a client connection service, in support of reconnecting when connections are lost.

Method | `__getattr__` | Undocumented
Method | `__init__` | Create a `_ReconnectingProtocolProxy`.
Method | `__repr__` | Undocumented
Method | `connectionLost` | The connection was lost. Relay this information.
Method | `makeConnection` | Make a connection to a transport and a server.
Instance Variable | `_lostNotification` | Undocumented
Instance Variable | `_protocol` | Undocumented
Instance Variable | `_transport` | Undocumented

def __getattr__(self, item: `str`) -> `object`: (source)

Undocumented

def __init__(self, protocol: `IProtocol`, lostNotification: `Callable[[Failure], None]`): (source)

Create a `_ReconnectingProtocolProxy`.

Parameters
protocol:provider of `interfaces.IProtocol` which may additionally provide `interfaces.IHalfCloseableProtocol` and `interfaces.IFileDescriptorReceiver`. | the application-provided `interfaces.IProtocol` provider.
lostNotification:`Callable[[Failure], None]` | a 1-argument callable to invoke with the `reason` when the connection is lost.

def __repr__(self) -> `str`: (source)

Undocumented

def connectionLost(self, reason: `Failure`): (source)
from `twisted.internet.interfaces.IProtocol`

The connection was lost. Relay this information.

Parameters
reason:`Failure` | The reason the connection was lost.

Returns
the underlying protocol's result

def makeConnection(self, transport: `ITransport`): (source)
from `twisted.internet.interfaces.IProtocol`

Make a connection to a transport and a server.

_lostNotification = (source)

Undocumented

_protocol = (source)

Undocumented

_transport = (source)

Undocumented